> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/adnuntius-data/api-documentation/http.md).

# HTTP API

| Data Type                                                                                                                                                 | Explanation                                                                                            |
| --------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| [Page Views](/adnuntius-data/api-documentation/http/http-page-view.md)                                                                                    | How to send Page View events                                                                           |
| [Profile Updates](/adnuntius-data/api-documentation/http/http-profile.md)                                                                                 | How to send User Profile updates                                                                       |
| [User Synchronization](/adnuntius-data/api-documentation/http/sync.md)                                                                                    | How to merge user profiles from different systems and devices to provide a unified view of your users. |
| [Segment](https://github.com/Adnuntius/documentation/tree/dd84e991086aa2a899772e000b9dbcd7c9ea4a53/adnuntius-data/api-documentation/http/http-segment.md) | The HTTP API enables you to send user's segment to Adnuntius Data.                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-data/api-documentation/http.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
